Subject: bug#69941: 30.0.50; Faulty fontification of radio button widgets

From: Mauro Aranda <[email-masked]>
Date: Thu, 9 Jan 2025 09:53:58 -0300

Stephen Berman <[email-masked]> writes:

 > On Sat, 08 Jun 2024 16:32:06 +0300 nobody wrote:
 >
 >>> From: Stephen Berman <[email-masked]>
 >>> Cc: [email-masked],  [email-masked]
 >>> Date: Sat, 08 Jun 2024 14:12:42 +0200
 >>>
 >>> On Sat, 08 Jun 2024 14:50:57 +0300 Eli Zaretskii <[email-masked]> wrote:
 >>>
 >>> >> From: Stephen Berman <[email-masked]>
 >>> >> Cc: Stefan Monnier <[email-masked]>, 
[email-masked]
 >>> >> Date: Sat, 25 May 2024 11:30:23 +0200
 >>> >>
 >>> >> On Sat, 25 May 2024 10:51:08 +0300 Eli Zaretskii <[email-masked]> 
wrote:
 >>> >>
 >>> >> > Ping!  Any further comments about this, or changes to install?
 >>> >>
 >>> >> I haven't been able to pursue Stefan's suggestions yet.  For the use
 >>> >> case for which I made the patch, I find the results overall 
better than
 >>> >> without it.  Nevertheless, text inserted in front of the first radio
 >>> >> button unintentionally getting fontified with widget-inactive 
face is a
 >>> >> clear bug, so I think the patch should not be installed; I hope 
I (or
 >>> >> someone else) can improve it.
 >>> >
 >>> > Stefan, any other comments?  Should I close the bug?
 >>>
 >>> While my patch prevents the misfontification I reported in my OP, it
 >>> adds another source of misfontification and is therefore not suitable
 >>> for installing.  So the original bug remains and I think this bug 
report
 >>> should not yet be closed.
 >>
 >> OK, but what shall we do instead?  Is anyone working on this?
 >
 > I'm really unclear how to try and implement what Stefan suggested.
 > Perhaps Mauro or someone else more familiar with the widget code might
 > be able to do it or give me some guidance.
 >
 > Steve Berman

I'll work on this bug.